'TestForLostPubGeneralSettings.csc
'Copyright 2002 Abe Hendin <ventura@yourspeed.com>
'Initial release, November 13, 2002
'Version 1.0

'Tests for the "print blank pages" setting in Publication Properties,
'General. Assumes that "Never Insert" is the correct setting and returns
'an OK if this option is found. If the option is set otherwise, the
'script reports that the general publication settings appear to have
'been lost.

'In V8.559 and V10.397, Publication General settings are occasionally
'lost thanks to a bug that rears its unfortunate head intermittently when
'the user accesses the Publication Properties dialog. The settings lost
'include, of most importance, the list of break characters, which impacts
'directly on text flow. Unfortunately, there is no command to check or
'set the break characters, so this script is limited to reporting on an
'affected setting that is accessible, namely the "Print Blank Pages" setting.
'The default is "Ask User". Since I always change this to "Never Insert",
'testing for the presence or absence of this setting does the trick for me.

WITHOBJECT "CorelVentura.Automation.8"
	Dim PrintBlankPage As Long
	Dim retval As Integer
	
	.FormatPubGeneralGet , , , PrintBlankPage
	If PrintBlankPage <> 2 Then 'not set to never insert
		retval = MessageBox("This publication's general settings appear to" + \\
			CHR(13) + "have been lost" + CHR(151) + "Print Blank Pages is set to" + \\
			CHR(13) + "something other than Never Insert.", "Settings Lost!", \\
			0 Or 48)
	Else 'set to never insert
		retval = MessageBox("This publication's general settings appear" + \\
			CHR(13) + "to be intact" + CHR(151) + "Print Blank Pages is set to" + \\
			CHR(13) + "Never Insert.", "Settings OK", 0 Or 64)
	End If
END WITHOBJECT
